package com.bonus.hn.bearing.capacity.backstage.manager.service;

import com.bonus.hn.bearing.capacity.backstage.manager.entity.MapBean;
import com.bonus.hn.bearing.capacity.backstage.manager.entity.UserDto;
import com.bonus.hn.bearing.capacity.backstage.manager.entity.ZNode;
import com.bonus.hn.bearing.capacity.backstage.manager.model.SysUser;
import com.bonus.hn.bearing.capacity.backstage.project.entity.FileBean;

import java.util.List;
import java.util.Map;
/**
 * @author bonus
 */
public interface UserService {

	SysUser saveUser(UserDto userDto);

	SysUser updateUser(UserDto userDto);

	SysUser getUser(String username);

	void changePassword(String username, String oldPassword, String newPassword);

    List<SysUser> getMsgList(SysUser o);

	List<ZNode> getDepartmentTree();

	List<MapBean> getRole();

	int addInfo(SysUser bean);

	int updateInfo(SysUser bean);

	int delById(SysUser bean);

	int resetPassword(SysUser bean);

	int updateSwitchListen(SysUser bean);

	SysUser getListById(String id);

	int updateMyInfo(SysUser bean);

	List<SysUser> getSystemNotification(SysUser o);

	List<Map<String, Object>> getLoginLogs();

	int addLoginLog();

	int upLoginLog(SysUser bean);

	int updatePerson(SysUser bean);

	SysUser getListPerson();

    List<FileBean> getDownloadRecord(FileBean o);

	int delRecordById(FileBean bean);

	int delAll(FileBean bean);

	int delReadAlready(FileBean bean);

	int updateLonLat(String proId, String meridian);
}
